package com.jianshui.common.constant;

/**
 * @Description 航信API地址
 * @Author 巩权林
 * @Date 2021-12-17 15:38
 **/
public class AisinoApiConstants {

    // 生产地址
    public static final String PROD_HOST = "http://www.sdinvoice.com:8084";

    // 生产不配置内网地址，防止客户端被破解出现问题

    // 测试地址
    public static final String DEV_HOST = "http://www.sdinvoice.com:8086";

    // 测试内网地址
    // public static final String DEV_LAN_HOST = "http://192.168.18.221:8086";
    // 先临时换到生产
    public static final String DEV_LAN_HOST = "http://192.168.18.7:8081";
    // 本地
    // public static final String DEV_LAN_HOST = "http://127.0.0.1:8086";

    // 单张发票查验
    public static final String CHECKINVOICE_SINGLE = "/checkinvoice/single";
    // 批量开票查验
    public static final String CHECKINVOICE_BATCH = "/checkinvoice/multil";
    // 批量开票查验结果查询
    public static final String CHECKINVOICE_BATCH_RESULT = "/checkinvoice/multilreqult";

}
