package com.jianshui.income.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.Size;

@ApiModel( description ="发票认证查询接口入参主表")
@Data
public class IncomeApplyLegalizeResultDTO {


    @ApiModelProperty(value = "批次号（32 位代表本次请求的批次，下次查询发票认证状态时，也需要此值）")
    @NotEmpty
    @Size(min = 0, max = 32, message = "批次号长度不能超过32个字符")
    private String PCH;


}
