package com.jianshui.income.domain.dto;

import com.jianshui.common.core.domain.entity.Companyservice;
import lombok.Data;

/**
 * @Description 用于队列传递消息的DTO
 * @Author 巩权林
 * @Date 2021-12-21 17:02
 **/
@Data
public class IncomeQueueDTO {

    Companyservice companyservice;

    // 请求报文
    AisinoIncomeBatchDTO aisinoIncomeBatchDTO;

    // 返回结果
    Object aisinoResult;

    String pch;

    public IncomeQueueDTO() {
    }

    public IncomeQueueDTO(AisinoIncomeBatchDTO aisinoIncomeBatchDTO, Object aisinoResult, Companyservice companyservice, String pch) {
        this.aisinoIncomeBatchDTO = aisinoIncomeBatchDTO;
        this.aisinoResult = aisinoResult;
        this.companyservice = companyservice;
        this.pch = pch;
    }
}
