package com.jianshui.income.domain.dto.elephant;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.Size;

@ApiModel( description ="获取企业档案接口入参")
@Data
public class GetCompanyInfoDTO {


    @ApiModelProperty(value = "查询税号")
    @NotEmpty
    @Size(min = 0, max = 18, message = "查询税号长度不能超过18个字符")
    private String SBH;






}
