package com.jianshui.income.domain.entity;

import cn.hutool.core.annotation.Alias;
import com.jianshui.common.annotation.Excel;
import com.jianshui.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 进项-确认结果对象 income_invoice_auth_confirmation_results
 *
 * @author jianshui
 * @date 2022-09-05
 */
@Data
public class IncomeInvoiceAuthConfirmationResults extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String id;

    /** 批次号 */
    @Excel(name = "批次号")
    @Alias("PCH")
    private String pch;

    /** 确认处理状态 */
    @Excel(name = "确认处理状态")
    @Alias("CLZT")
    private String clzt;

    /** 购方税号 */
    @Excel(name = "购方税号")
    @Alias("QMFSBH")
    private String gmfsbh;

    /** 统计月份 */
    @Excel(name = "统计月份")
    @Alias("TJYF")
    private String tjyf;

    /** 确认标志 0成功 1 失败 */
    @Excel(name = "确认标志 0成功 1 失败")
    @Alias("QRBZ")
    private String qrbz;

    /** 错误原因 */
    @Excel(name = "错误原因")
    @Alias("SBYY")
    private String sbyy;

    /** 统计确认标识 申请确认标志 0:申请确 认 1:撤销确认 */
    @Excel(name = "统计确认标识 申请确认标志 0:申请确 认 1:撤销确认")
    @Alias("TJBZ")
    private String tjbz;

    /** 确认时间 */
    @Excel(name = "确认时间")
    @Alias("QRSJ")
    private String qrsj;

    /** 税款所属期*/
    private String sqskssq;
}
