package com.jianshui.income.domain.entity;

import com.jianshui.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * @Description invoice_check的货运信息子表
 * @Author 巩权林
 * @Date 2021/4/16 10:38
 **/
@Data
public class InvoiceCheckFreight extends BaseEntity {
    // invoice_check表的外键
    private int invoice_check_id;
    // 承运人名称  货运发票返回信息
    private String cyrmc;
    // 承运人识别号  货运发票返回信息
    private String cyrsbh;
    // 受票方名称  货运发票返回信息
    private String spfmc;
    // 受票方识别号  货运发票返回信息
    private String spfsbh;
    // 收货人名称  货运发票返回信息
    private String shrmc;
    // 收货人识别号  货运发票返回信息
    private String shrsbh;
    // 发货人名称  货运发票返回信息
    private String fhrmc;
    // 发货人识别号  货运发票返回信息
    private String fhrsbh;
    // 运输货物信息  货运发票返回信息
    private String ysgwxx;
    // 起运地、经由、到达地  货运发票返回信息
    private String qydjyddd;
    // 税控盘号  货运发票返回信息
    private String skph;
    // 车种车号  货运发票返回信息
    private String czch;
    // 车船吨位  货运发票返回信息
    private String ccdw;
}
