package com.jianshui.income.mapper;

import java.util.List;
import com.jianshui.income.domain.entity.IncomeInvoiceAuth;

/**
 * 进项-发票主（大象）Mapper接口
 *
 * @author jianshui
 * @date 2022-09-05
 */
public interface IncomeInvoiceAuthMapper
{
    /**
     * 查询进项-发票主（大象）
     *
     * @param id 进项-发票主（大象）主键
     * @return 进项-发票主（大象）
     */
    public IncomeInvoiceAuth selectIncomeInvoiceAuthById(String id);

    /**
     * 查询进项-发票主（大象）列表
     *
     * @param incomeInvoiceAuth 进项-发票主（大象）
     * @return 进项-发票主（大象）集合
     */
    public List<IncomeInvoiceAuth> selectIncomeInvoiceAuthList(IncomeInvoiceAuth incomeInvoiceAuth);

    /**
     * 新增进项-发票主（大象）
     *
     * @param incomeInvoiceAuth 进项-发票主（大象）
     * @return 结果
     */
    public int insertIncomeInvoiceAuth(IncomeInvoiceAuth incomeInvoiceAuth);

    /**
     * 修改进项-发票主（大象）
     *
     * @param incomeInvoiceAuth 进项-发票主（大象）
     * @return 结果
     */
    public int updateIncomeInvoiceAuth(IncomeInvoiceAuth incomeInvoiceAuth);

    /**
     * 删除进项-发票主（大象）
     *
     * @param id 进项-发票主（大象）主键
     * @return 结果
     */
    public int deleteIncomeInvoiceAuthById(String id);

    /**
     * 批量删除进项-发票主（大象）
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteIncomeInvoiceAuthByIds(String[] ids);

}
