package com.jianshui.invoiceall.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

/**
 * 全电发票文件获取
 * @author kk
 * @date 2022年12月09日 17:16
 */
@Data
public class InvoiceAllFileAcquisitionOnDetailDTO {


    @NotEmpty
    @ApiModelProperty(value = "发票号码")
    private String fphm;

    @NotEmpty
    @ApiModelProperty(value = "开票日期")
    private String kprq;

    @NotEmpty
    @ApiModelProperty(value = "文件格式")
    private String wjgs;



}
