package com.jianshui.invoiceall.domain.dto.jcsk;


import com.jianshui.invoiceall.domain.dto.InvoiceAllCanRedJsonDataDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

/**
 * 查询蓝字发票可红冲金额
 */

@Data
public class CanRedDTO {

    @NotEmpty
    @ApiModelProperty(value = "办税人身份证号")
    private String bsrysfzjhm;

    @NotEmpty
    @ApiModelProperty(value = "*地区编码(参考码表)")
    private String dqbm;

    @NotEmpty
    @ApiModelProperty(value = "")
    private CanRedJsonDataDTO jsonData;

    @NotEmpty
    @ApiModelProperty(value = "纳税人识别号")
    private String nsrsbh;




}
