package com.jianshui.invoiceall.domain.dto.jcsk.add;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * 发票开具 1 DTO
 * @author kk
 * @date 2022年12月09日 17:16
 */
@Data
public class InvoiceAllAddmxListDTO {

    @NotEmpty
    @ApiModelProperty(value = "单价")
    private String dj;

    @NotEmpty
    @ApiModelProperty(value = "单位")
    private String dw;

    @NotEmpty
    @ApiModelProperty(value = "发票行性质")
    private String fphxz;

    @ApiModelProperty(value = "规格型号")
    private String ggxh;

    @NotEmpty
    @ApiModelProperty(value = "金额")
    private String je;

    @NotEmpty
    @ApiModelProperty(value = "税额")
    private String se;

    @NotEmpty
    @ApiModelProperty(value = "税率")
    private String slv;

    @NotEmpty
    @ApiModelProperty(value = "商品数量")
    private String spsl;

    @NotEmpty
    @ApiModelProperty(value = "税收分类编码")
    private String ssflbm;

    @ApiModelProperty(value = "特定征税方式代码")
    private String tdzsfsdm;

    @NotEmpty
    @ApiModelProperty(value = "项目名称")
    private String xmmc;

    @ApiModelProperty(value = "税收优惠政策类型代码")
    private String zzstsgldm;



}
