package com.jianshui.invoiceall.domain.vo.jcsk;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

/**
 * 查询红字信息表明细
 * @author dxk
 * @date 2022年12月09日 17:16
 */
@Data
public class RedInvoiceDetailChildVO {


    @NotEmpty
    @ApiModelProperty(value = "单位")
    private String dw;

    @NotEmpty
    @ApiModelProperty(value = "规格型号")
    private String ggxh;

    @NotEmpty
    @ApiModelProperty(value = "金额")
    private String je;

    @NotEmpty
    @ApiModelProperty(value = "蓝字明细序号")
    private String lzmxxh;

    @NotEmpty
    @ApiModelProperty(value = "税额")
    private String se;

    @NotEmpty
    @ApiModelProperty(value = "税率")
    private String slv;

    @NotEmpty
    @ApiModelProperty(value = "商品编码")
    private String spbm;

    @NotEmpty
    @ApiModelProperty(value = "商品单价")
    private String spdj;

    @NotEmpty
    @ApiModelProperty(value = "商品名称")
    private String spmc;

    @NotEmpty
    @ApiModelProperty(value = "商品数量")
    private String spsl;

    @NotEmpty
    @ApiModelProperty(value = "特定征税方式代码")
    private String tdzsfsdm;

    @NotEmpty
    @ApiModelProperty(value = "序号")
    private String xh;








}
