package com.jianshui.invoice.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author: kane
 * @Description: 红字信息查询类
 * @CreateTime: 2023-06-26  09:20
 * @Version: 1.0
 **/
@ApiModel("红字信息查询")
@Data
public class FindRedWordDTO {

    @ApiModelProperty("当前页")
    private Integer pageNum;

    @ApiModelProperty("每页记录数")
    private Integer pageSize;

    @ApiModelProperty("信息表编号")
    private String redInfoNo;

    @ApiModelProperty("购方名称")
    private String buyerName;

    @ApiModelProperty("购方税号")
    private String buyerTaxnum;

    @ApiModelProperty("信息表状态")
    private String redInfoStatus;

    @ApiModelProperty("填开日期开始时间")
    private String beginBillInputTime;

    @ApiModelProperty("填开日期结束时间")
    private String endBillInputTime;

    @ApiModelProperty("发票代码")
    private String originFpdm;

    @ApiModelProperty("发票号码")
    private String originFphm;

}
