package com.jianshui.invoice.domain.dto.api.elephant;


import com.jianshui.invoice.domain.dto.api.elephant.addInvoice.*;
import lombok.Data;

import java.util.List;


/**
* @Author: kk
* @Description: 全电头信息 QDTXX
*/
@Data
public class Qdtxx {

    private String tdys; // 特定要素

//    dqbm
    private String qydm; // 区域代码

    private String cezslxdm; // 差额征税类型代码

    private String sgfplxdm; // 收购发票类型代码

    private String ckywszycdm; // 出口业务适用政策代码

    private String zzszjtdm; // 增值税即征即退代码

    private String gmfrb; // 经办人

    private String jbrsfzjhm; // 经办人身份证件号码

    private String gmfrblxdh; // 经办人联系电话

    private String jsfs; // 结算方式

    private String skyhmc; // 收款银行名称

    private String skyhzh; // 收款银行账号

    private String ysxwfsd; // 应税行为发生地

    private List<Fjys> FJYSLIST; // 附加要素列表
    private List<Hwys> HWYSLIST; // 货物运输
    private List<Bdcxsxx> BDCXSXX; // 不动产销售信息
    private List<Jzfwxx> JZFWXX; // 建筑服务信息
    private List<Bdczlxx> BDCZLXX; // 建筑服务信息

    
}
