package com.jianshui.invoice.domain.dto.api.jcsk;

import cn.hutool.core.annotation.Alias;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

/**
 * 申请红字信息表
 * @author dxk
 * @date 2022年12月09日 17:16
 */
@Data
public class SqhzJsonDataDetailTwoDTO {

    @Alias("price")
    @ApiModelProperty(value = "单价")
    private String dj;

    @Alias("unit")
    @ApiModelProperty(value = "单位")
    private String dw;

    @Alias("spec")
    @ApiModelProperty(value = "规格型号")
    private String ggxh;

    @Alias("taxfreeamt")
    @ApiModelProperty(value = "金额")
    private String je;

    @ApiModelProperty(value = "蓝字明细序号")
    private String lzmxxh;

    @Alias("tax")
    @ApiModelProperty(value = "税额")
    private String se;

    @Alias("num")
    @ApiModelProperty(value = "数量")
    private String sl;

    @Alias("taxrate")
    @ApiModelProperty(value = "税率")
    private String slv;

    @Alias("bmbbh")
    @ApiModelProperty(value = "商品编码")
    private String spbm;

    @Alias("goodName")
    @ApiModelProperty(value = "商品名称")
    private String xmmc;


}
