package com.jianshui.platform.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jianshui.common.annotation.Excel;
import com.jianshui.common.core.page.PageDomain;
import com.jianshui.platform.dto.InvoiceAdd.BillInfoDetailPDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 复制单据-查询入参
 */
@Data
@ApiModel("单据复制")
public class CopyBillInfoQueryDTO extends PageDomain {

    @ApiModelProperty(value = "发票类型 1 数电普票  2数电专票")
    private String InvoiceType;

    @ApiModelProperty( value = "开票日期开始")
    private String startTime;

    @ApiModelProperty(value = "开票日期结束")
    private String endTime;

    @ApiModelProperty(value = "购方税号")
    private String buyerTaxnum;

    @ApiModelProperty(value = "购方名称")
    private String buyerName;

    @ApiModelProperty(value = "发票起号")
    private String startFphm;

    @ApiModelProperty(value = "发票止号")
    private String endFphm;



}
