package com.jianshui.platform.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @Author: kane
 * @Description: 税额金额返回类
 * @CreateTime: 2023-06-07  17:46
 * @Version: 1.0
 **/
@ApiModel("税额金额")
@Data
public class TaxCalculateVO {
    @NotNull
    @ApiModelProperty("发票id")
    private Integer id;

    @NotNull
    @ApiModelProperty("金额")
    private BigDecimal money;

    @NotNull
    @ApiModelProperty("税额")
    private BigDecimal taxMoney;

}
