package com.jianshui.income.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;


@ApiModel(value = "IncomeSetPasswordDTO",description ="设置密码入参")
@Data
public class IncomeSetPasswordDTO {

    @ApiModelProperty(value = "税号")
    @NotEmpty(message = "税号不能为空")
    private String SBH;

    @ApiModelProperty(value = "密码")
    @NotEmpty(message = "密码不可为空")
    private String YWMM;

    @ApiModelProperty(value = "新密码 若修改密码，新密码有值，不做修改，可为空或跟原密码一致")
    private String NEWYWMM;
}
