package com.jianshui.income.domain.dto.elephant;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

/**
 * 状态采集-大象-dto
 * @author dxk
 * @date 2022/9/14 19:59
 * @return null
 */
@Data
public class StatusCollectionDTO {

    /** 购方税号*/
    @JSONField(name = "GMFSBH")
    private String GMFSBH;

    /** 批次号*/
    @JSONField(name = "PCH")
    private String PCH;

    /**
     * 发票采集 开始时间
     */
    @JSONField(name = "ZTBGKSRQ")
    private String ZTBGKSRQ;

    /**
     * 发票采集 结束时间
     */
    @JSONField(name = "ZTBGJSRQ")
    private String ZTBGJSRQ;

    /**
     * 开始行数 整数,第一次请求时为 1.(若本次返回行数小于总行数，需再次请求，开始行数为 本次返回行数+ 1.类似分页获取
     */
    @JSONField(name = "KSHS")
    private String KSHS;

    /**
     * 状态标志 当给 1 时继续请求，0 时结束请求
     */
    @JSONField(name = "ZTBZ")
    private String ZTBZ;
}
