package com.jianshui.income.domain.entity;

import lombok.Data;
import org.springframework.data.annotation.Id;

/**
 * @Description
 * @Author 巩权林
 * @Date 2021/4/16 10:40
 **/
@Data
public class InvoiceCheckDetail {
    // 自增id
    @Id
    private int id;
    // invoice_check表的id
    private int invoice_check_id;
    // 明细编号
    private String mxbh;
    // 货物名称
    private String hwmc;
    // 金额
    private String je;
    // 数量
    private String spsl;
    // 税率
    private String sl;
    // 税额
    private String se;
    // 含税单价
    private String hsdj;
    // 含税金额
    private String hsje;
    // 不含税单价
    private String bhsdj;
    // 规格型号
    private String ggxh;
    // 计量单位
    private String jldw;
    // 费用项目  货运发票返回信息
    private String fyxm;
    // 车牌号  通行费发票返回信息
    private String cph;
    // 类型  通行费发票返回信息
    private String lx;
    // 通行日期起  通行费发票返回信息
    private String txrqq;
    // 通行日起止  通行费发票返回信息
    private String txrqz;
    //商品编码
    private String spbm;
    //税收分类简码名称
    private String spbmjc;

    //税收分类编码
    private String ssflbm;

    // 处理电子发票（航空运输电子客票行程单）
    // 处理电子发票（铁路电子客票）

    //    航段
    private String hd;
    //始发站
    private String sfz;
    //目的  站
    private String mdz;
    //承运人
    private String cyr;
    //航班号
    private String hbh;
    //座位等级
    private String zwdj;
    //承运日期
    private String cyrq;
    //        起飞时间
    private String qfsj;
    //客票级别
    private String kpjb;


}
