package com.jianshui.income.mapper;

import java.util.List;
import com.jianshui.income.domain.entity.IncomeInvoiceAuthAccount;

/**
 * 进项-密码（大象）Mapper接口
 *
 * @author jianshui
 * @date 2022-09-05
 */
public interface IncomeInvoiceAuthAccountMapper
{
    /**
     * 查询进项-密码（大象）
     *
     * @param id 进项-密码（大象）主键
     * @return 进项-密码（大象）
     */
    public IncomeInvoiceAuthAccount selectIncomeInvoiceAuthAccountById(String id);

    /**
     * 查询进项-密码（大象）列表
     *
     * @param incomeInvoiceAuthAccount 进项-密码（大象）
     * @return 进项-密码（大象）集合
     */
    public List<IncomeInvoiceAuthAccount> selectIncomeInvoiceAuthAccountList(IncomeInvoiceAuthAccount incomeInvoiceAuthAccount);

    /**
     * 新增进项-密码（大象）
     *
     * @param incomeInvoiceAuthAccount 进项-密码（大象）
     * @return 结果
     */
    public int insertIncomeInvoiceAuthAccount(IncomeInvoiceAuthAccount incomeInvoiceAuthAccount);

    /**
     * 修改进项-密码（大象）
     *
     * @param incomeInvoiceAuthAccount 进项-密码（大象）
     * @return 结果
     */
    public int updateIncomeInvoiceAuthAccount(IncomeInvoiceAuthAccount incomeInvoiceAuthAccount);

    /**
     * 删除进项-密码（大象）
     *
     * @param id 进项-密码（大象）主键
     * @return 结果
     */
    public int deleteIncomeInvoiceAuthAccountById(String id);

    /**
     * 批量删除进项-密码（大象）
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteIncomeInvoiceAuthAccountByIds(String[] ids);
}
