package com.jianshui.income.mapper;

import java.util.List;
import com.jianshui.income.domain.entity.IncomeInvoiceAuthEnterpriseArchives;

/**
 * 进项-企业档案（大象）Mapper接口
 *
 * @author jianshui
 * @date 2022-09-05
 */
public interface IncomeInvoiceAuthEnterpriseArchivesMapper
{
    /**
     * 查询进项-企业档案（大象）
     *
     * @param id 进项-企业档案（大象）主键
     * @return 进项-企业档案（大象）
     */
    public IncomeInvoiceAuthEnterpriseArchives selectIncomeInvoiceAuthEnterpriseArchivesById(String id);

    /**
     * 查询进项-企业档案（大象）列表
     *
     * @param incomeInvoiceAuthEnterpriseArchives 进项-企业档案（大象）
     * @return 进项-企业档案（大象）集合
     */
    public List<IncomeInvoiceAuthEnterpriseArchives> selectIncomeInvoiceAuthEnterpriseArchivesList(IncomeInvoiceAuthEnterpriseArchives incomeInvoiceAuthEnterpriseArchives);

    /**
     * 新增进项-企业档案（大象）
     *
     * @param incomeInvoiceAuthEnterpriseArchives 进项-企业档案（大象）
     * @return 结果
     */
    public int insertIncomeInvoiceAuthEnterpriseArchives(IncomeInvoiceAuthEnterpriseArchives incomeInvoiceAuthEnterpriseArchives);

    /**
     * 修改进项-企业档案（大象）
     *
     * @param incomeInvoiceAuthEnterpriseArchives 进项-企业档案（大象）
     * @return 结果
     */
    public int updateIncomeInvoiceAuthEnterpriseArchives(IncomeInvoiceAuthEnterpriseArchives incomeInvoiceAuthEnterpriseArchives);

    /**
     * 删除进项-企业档案（大象）
     *
     * @param id 进项-企业档案（大象）主键
     * @return 结果
     */
    public int deleteIncomeInvoiceAuthEnterpriseArchivesById(String id);

    /**
     * 批量删除进项-企业档案（大象）
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteIncomeInvoiceAuthEnterpriseArchivesByIds(String[] ids);
}
