package com.jianshui.invoiceall.domain.dto;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;


/**
 * 查询蓝字发票可红冲金额
 */
@Data
public class InvoiceAllCanRedJsonDataDTO {

    @NotEmpty
    @ApiModelProperty(value = "冲红原因代码")
    private String chyydm;

    @NotEmpty
    @ApiModelProperty(value = "购买方纳税人识别号")
    private String gmfnsrsbh;

    @NotEmpty
    @ApiModelProperty(value = "申请来源")
    private String sqly;

    @ApiModelProperty(value = "特定要素类型代码(参考码表)")
    private String tdyslxdm;

    @NotEmpty
    @ApiModelProperty(value = "销售方纳税人识别号")
    private String xsfnsrsbh;

    @NotEmpty
    @ApiModelProperty(value = "原发票号码")
    private String yfphm;

    @NotEmpty
    @ApiModelProperty(value = "原开票日期")
    private String ykprq;

    @ApiModelProperty(value = "原纸质发票代码")
    private String yzzfpdm;

    @ApiModelProperty(value = "原纸质发票号码")
    private String yzzfphm;

}
