package com.jianshui.invoiceall.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

/**
 * @author xingze
 * @date 2023/8/13
 * 纳税人信息
 */
@Data
public class InvoiceAllNsrInfoDTO {
    @ApiModelProperty(value = "登录身份，参考身份字典")
    private String dlsf;
    @ApiModelProperty(value = "登录身份密码")
    @NotEmpty
    private String dlsfmm;
    @ApiModelProperty(value = "中间号或接收短信的手机号，涉及到短信验证码的省份必填")
    private String zjh;
    @ApiModelProperty(value = "登录密码")
    @NotEmpty
    private String gsnsmm;
    @ApiModelProperty(value = "身份证件号码")
    private String sfzjhm;
    @ApiModelProperty(value = "登录账号")
    @NotEmpty
    private String gsnsyhm;
    @ApiModelProperty(value = "办税人姓名")
    private String bsryxz;
}
