package com.jianshui.invoiceall.domain.dto.jcsk;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

/**
 * @author xingze
 * @date 2023/8/13
 * 短信验证码dto
 */
@Data
public class InvoiceAllSubmitNoteDTO {
    @ApiModelProperty(value = "流水号，调用回调地址时必填，保持唯一性，建议nsrsbh+gsnsyhm+timestamp")
    private String traceno;

    @ApiModelProperty(value = "纳税人识别号")
    @NotEmpty
    private String nsrsbh;

    @ApiModelProperty(value = "短信验证码")
    @NotEmpty
    private String smsCode;

    @ApiModelProperty(value = "中间号/手机号")
    @NotEmpty
    private String zjh;
}
