package com.jianshui.invoice.domain.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jianshui.common.annotation.Excel;
import com.jianshui.common.core.domain.BaseEntity;
import com.jianshui.invoice.domain.Redinfodetail;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 红字信息表下载
 *
 * @author Gong Quanlin
 * @date 2022-03-29
 */
@Data
public class DownloadRedInfoDTO {
    private String invoiceLine; // 发票种类: s 增值税专用发票 | 1    |
    private String billTimeBegin; // 信息表编号有、值时，可为空 | 填开起始时间               | 8    |
    private String billTimeEnd; // 信息表编号有值时，可为空   | 填开结束时间               | 8    |
    private String buyerTaxNo; // 购方税号                   | 20   |
    private String billInfoNo; // 信息表编号                 | 24   |
    private String billNo; // 申请单号
    private String terminalNumber; // 终端号                     | 5    |
    private String extensionNumber; // 分机号                     | 5    |
    private String serviceKey; // 服务key

    private String applyRemark; // 发票来源

    private String originFphm; //蓝字发票号码
}
