package com.jianshui.invoice.domain.dto;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.util.List;

/**
 * @Description 打印
 * @Author 巩权林
 * @Date 2022/4/25 23:15
 **/
@Data
public class PrintDTO {

    /**
     * 分机号
     */
    @JSONField(name = "fjh")
    private String fjh;

    /**
     * 打印机id
     */
    @JSONField(name = "dyjid")
    private String printerId;

    /**
     * 打印批次号
     */
    @JSONField(name = "dypch")
    private String dypch;

    /**
     * 发票标识
     */
    @JSONField(name = "fpbs")
    private String fpbs; // 发票标识(0:清单,1:发票)


    @JSONField(name = "dyfpxx")
    List<PrintDetailDTO> details; // 发票打印详情
}
