package com.jianshui.invoice.domain.dto.api;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

/**
 * 通用查询接口DTO
 * @author kk
 * @date 2022年12月09日 17:16
 */
@Data
public class InvoiceAllQueryTWODTO {

    @NotEmpty
    @ApiModelProperty(value = "渠道标识")
    private String appkey;

    @NotEmpty
    @ApiModelProperty(value = "地区编码")
    private String dqbm;

    @NotEmpty
    @ApiModelProperty(value = "false")
    private String async;

    @NotEmpty
    @ApiModelProperty(value = "办税人身份证号")
    private String bsrysfzjhm;

    @NotEmpty
    @ApiModelProperty(value = "纳税人识别号")
    private String nsrsbh;

    @NotEmpty
    @ApiModelProperty(value = "任务id")
    private String requestId;

    @NotEmpty
    @ApiModelProperty(value = "tycxjk")
    private String serviceId;


}
