package com.jianshui.invoice.domain.dto.api.aisino.console.vehicle;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;
import java.util.List;


/**
 * 税控设备类型
 */
@Getter
@Setter
public class TaxEquipmentInfo implements Serializable {

    private String id;

    private String xhfNsrsbh;

    private String xhfMc;

    /**
     * 组织Id,6.1.4版本从enterpriseNumber改为该值
     */
    private String qyId;

    private String sksbCode;

    private String sksbName;

    private String sksbType;

    private Date linkTime;

    /**
     * 渠道id
     */
    private String distributorId;

    /**
     * 渠道名称
     */
    private String distributorName;

    /**
     * 省份代码
     */
    private String sfdm;

    /**
     * 省份名称
     */
    private String sfmc;

    private String bz;

    /**
     * 删除标志(0:未删除;1:已删除)
     */
    private String deleted;

    private Date createTime;

    private Date updateTime;

    private String pageSize;

    private String currentPage;

    /**
     * 渠道ID
     */
    private String qdId;

    /**
     * 渠道名称
     */
    private String qdMc;

    /**
     * 类型不为空返回全部
     */
    private String type;

    /**
     * 税号数组
     */
    private List<String> shList;

    /**
     * 缓存时间,
     */
    private Date cacheDate;

    /**
     * 开票开关  0开票 1不开票
     */
    private String flag;

    /**
     * 开票控制后失败code
     */
    private String flagCode;

    /**
     * 开票控制后失败msg
     */
    private String flagBz;

    /**
     * 数电服务类型(1:乐企开票,2:RPA开票,空:未设置)
     */
    private String qdfwlx;

    /**
     * 数电授权码
     */
    private String qdsqm;


    /**
     * 企业唯一标识,
     */
    private String enterpriseNumbers;

}
