package com.jianshui.invoice.domain.vo.api.aisino.console;

import lombok.Data;

import java.util.List;

/**
 * @author kk
 * @date 2023年10月27日 16:24
 */
@Data
public class DownloadJdcVO {

    // 24位申请单号(12位设备编号+12位时间)
    private String ReqBillNo;

    // 信息表编号
    private String ResBillNo;

    // 信息表状态代码
    private String StatusDM;

    // 信息表状态描述
    private String StatusMC;

    // 信息表类型
    private String BillType;

    // 对应蓝票代码
    private String TypeCode;

    // 对应蓝票号码
    private String InvNo;

    // 税种类别
    private String Szlb;

    // 多税率标志
    private String IsMutiRate;

    // 填开日期
    private String Date;

    // 购方名称
    private String BuyerName;

    // 购方税号
    private String BuyerTaxCode;

    // 购方地址电话
    private String BuyerAdd;

    // 购方银行账号
    private String BuyerBank;

    // 销方名称
    private String SellerName;

    // 销方税号
    private String SellTaxCode;

    // 合计金额
    private String Amount;

    // 税率
    private String TaxRate;

    // 合计税额
    private String Tax;

    // 申请说明
    private String ReqMemo;

    // 商品编码版本号
    private String Spbmbbh;

    // 含税税率标识
    private String Slbz;

    // 异地代开
    private String Yddk;

    // 代开比对标识
    private String Dkbdbs;

    // 商品明细
    private List<DownloadJdcDetailVO> RedInvReqBillMx;


}
