package com.jianshui.platform.constant;

/**
 * @Author: kane
 * @Description: 异常信息常量类
 * @CreateTime: 2023-06-21  15:27
 * @Version: 1.0
 **/
public class ExceptionInformationConstants {
    // 发票代码为空
    public static final String FPDMISEMPTY = "发票代码不能为空";
    // 发票号码为空
    public static final String FPHMISEMPTY = "发票号码不能为空";
    // 开票日期为空
    public static final String KPRQISEMPTY = "开票时间不能为空";

    // 未查询到发票信息
    public static final String NOTINVOICEINFORMATION = "本地未查询到对应的蓝字发票信息，点击确定继续录入单据";

    // 申请类型有误
    public static final String REQUESTTYPEERROR = "申请类型有误";

    // 发票相关信息为空
    public static final String INVOICEINFORMATIONISEMPTY = "发票相关信息为空";
    // 红字信息为空
    public static final String REDWORDINFOISEMPT = "传入红字信息为空";

    // 未查询到红字信息
    public static final String NOTFINREDWORDINFO = "未查询到该红字信息表";

    // 上传红字信息不能删除
    public static final String NOTDELETEREDWORD = "已上传红字信息不能删除，请重新选择";

    // 上传红字信息不能修改
    public static final String NOTUPDATEREDWORD = "已上传红字信息不能修改，请重新选择";


}
