package com.jianshui.platform.dto.InvoiceAdd;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 单据录入统一入参
 */
@Data
@ApiModel("单据录入详情")
public class BillInfoDetailPDTO {

    // TODO: 2023/6/5 增值税普通发票 
    @ApiModelProperty(value = "商品名称")
    private String goodName;

    @ApiModelProperty(value = "规格型号")
    private String spec;

    @ApiModelProperty(value = "单位")
    private String unit;

    @ApiModelProperty(value = "商品数量")
    private BigDecimal num;

    @ApiModelProperty(value = "商品单价")
    private BigDecimal price;

    @ApiModelProperty(value = "金额（不含税）")
    private BigDecimal taxfreeamt;

    @ApiModelProperty(value = "税率")
    private BigDecimal taxrate;

    @ApiModelProperty(value = "税额")
    private BigDecimal tax;


    



}
