package com.jianshui.platform.dto.invoicered;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.jianshui.common.annotation.Excel;
import com.jianshui.common.core.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
* @Author: kk
* @Description: 发票查询返回
* @DateTime: 2023/6/8 16:23
* @Params: 
* @Return 
*/
@Data
@ApiModel("单据录入")
public class InvoiceQueryPDTO extends PageDomain {

    @ApiModelProperty(value = "购方名称")
    private String buyerName;

    @ApiModelProperty(value = "发票代码")
    private String fpdm;

    @ApiModelProperty(value = "发票号码")
    private String fphm;






    
}
