package com.jianshui.platform.service;

import com.jianshui.common.core.domain.AjaxResult;
import com.jianshui.platform.dto.TaxSwitchingDTO;

import java.util.List;

/**
 * @Author: kane
 * @Description: 含税不含税切换业务层
 * @CreateTime: 2023-06-07  13:40
 * @Version: 1.0
 **/
public interface TaxSwitchingService {

    /**
     * 功能描述: 含税不含税切换计算
     * @param dto
     * @return : com.jianshui.common.core.domain.AjaxResult
     */
    AjaxResult taxswitching(List<TaxSwitchingDTO> dto);
}
