package com.jianshui.platform.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.math.BigDecimal;

/**
 * @Author: kane
 * @Description: 含税不含税转换
 * @CreateTime: 2023-06-07  13:46
 * @Version: 1.0
 **/
@ApiModel("含税不含税转换")
@Data
public class TaxSwitchingVO {
    @ApiModelProperty("发票id")
    private Integer id;
    @ApiModelProperty("数量")
    private BigDecimal number;
    @ApiModelProperty("单价")
    private BigDecimal unitPrice;
    @ApiModelProperty("金额")
    private BigDecimal money;
    @ApiModelProperty("税率")
    private BigDecimal taxRate;
    @ApiModelProperty("税额")
    private BigDecimal taxMoney;
    @ApiModelProperty("状态0-含税，1-不含税")
    private String status;

}
