package com.jianshui.storage.domain;

import lombok.Data;

/**
 * @Description 访问dto
 * @Author 巩权林
 * @Date 2022-09-16 8:34
 **/
@Data
public class StorageUrlDTO {

    /**
     * 对象存储中的资源地址或者cos中的存储键(key)
     */
    private String storagePath;

    /**
     * 资源提供者，例如cos、minio、oss
     */
    private String serviceProvider;

    /**
     * 文件类型
     */
    private String contentType;
}
